package com.ruoyi.mall.service;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.mall.domain.TbSignUp;

/**
 * 用户签到Service接口
 *
 * @author ruoyi
 * @date 2025-03-31
 */
public interface ITbSignUpService
{
    /**
     * 查询用户签到
     *
     * @param signUpId 用户签到主键
     * @return 用户签到
     */
    public TbSignUp selectTbSignUpBySignUpId(Long signUpId);

    /**
     * 查询用户签到列表
     *
     * @param tbSignUp 用户签到
     * @return 用户签到集合
     */
    public List<TbSignUp> selectTbSignUpList(TbSignUp tbSignUp);

    /**
     * 新增用户签到
     *
     * @param tbSignUp 用户签到
     * @return 结果
     */
    public int insertTbSignUp(TbSignUp tbSignUp);

    /**
     * 修改用户签到
     *
     * @param tbSignUp 用户签到
     * @return 结果
     */
    public int updateTbSignUp(TbSignUp tbSignUp);

    /**
     * 批量删除用户签到
     *
     * @param signUpIds 需要删除的用户签到主键集合
     * @return 结果
     */
    public int deleteTbSignUpBySignUpIds(Long[] signUpIds);

    /**
     * 删除用户签到信息
     *
     * @param signUpId 用户签到主键
     * @return 结果
     */
    public int deleteTbSignUpBySignUpId(Long signUpId);

    /**
     * 签到
     * @param userId 用户ID
     * @return 结果
     */
    public JSONObject getSignUpScore(Long userId);

    /**
     * 签到
     * @param userId 用户ID
     * @return 结果
     */
    public int getSignUp(Long userId);
}
